Crawlzodocs
API referenceTikTok

TikTok user collections

Every public collection a creator has published.

POST
/v1/scrapers/tiktok-user-collections-v4

Authorization

ApiKeyAuth
X-API-Key<token>

Your API key. Sent on every request.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/scrapers/tiktok-user-collections-v4" \  -H "Content-Type: application/json" \  -d '{    "unique_id": "tiktok",    "cursor": "0",    "count": 30  }'
{  "request_id": "req_8f2c1d94e7b0",  "success": true,  "status": {    "code": "OK",    "message": "Scrape completed.",    "retryable": false  },  "data": {    "collections": [      {        "collection_id": "7394627756635573022",        "creator_id": null,        "creator_name": null,        "creator_username": null,        "name": "Summer of Sports",        "state": 3,        "video_count": 139      }    ],    "cursor": null,    "has_more": false,    "unique_id": "tiktok",    "user_id": null  },  "error": null,  "meta": {    "client_id": "client_abc123",    "scraper": "tiktok-user-collections-v4",    "billable": true,    "duration_ms": 1110  }}